> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get labels for metric and label evaluations

> Get labels for metric and label evaluations



## OpenAPI

````yaml /api-specs/cloud/public-api.json get /api/model-services/v1/aisystem/{system_id}/version/{version_id}/evaluation-labels
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/model-services/v1/aisystem/{system_id}/version/{version_id}/evaluation-labels:
    get:
      tags:
        - AI Systems
      summary: Get labels for metric and label evaluations
      description: Get labels for metric and label evaluations
      operationId: get_evaluation_labels
      parameters:
        - in: path
          name: system_id
          required: true
          schema:
            type: string
        - in: path
          name: version_id
          required: true
          schema:
            type: string
        - description: Type of evaluation to filter by. Must be either 'label' or 'metric'.
          explode: false
          in: query
          name: type
          schema:
            description: >-
              Type of evaluation to filter by. Must be either 'label' or
              'metric'.
            enum:
              - label
              - metric
            type: string
        - description: >-
            Start time for the query in RFC3339 format. Defaults to 7 days ago
            if not specified.
          explode: false
          in: query
          name: start_time
          schema:
            description: >-
              Start time for the query in RFC3339 format. Defaults to 7 days ago
              if not specified.
            format: date-time
            type: string
        - description: Search query to filter evaluation names by.
          explode: false
          in: query
          name: q
          schema:
            description: Search query to filter evaluation names by.
            type: string
        - description: Maximum number of results to return.
          explode: false
          in: query
          name: max_results
          schema:
            description: Maximum number of results to return.
            format: int32
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/mlflow-proxy_GetEvaluationNamesResponseBody
          description: OK
        default:
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/mlflow-proxy_ErrorModel'
          description: Error
components:
  schemas:
    mlflow-proxy_GetEvaluationNamesResponseBody:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          example: >-
            /api/model-services/v1/aisystem/schemas/GetEvaluationNamesResponseBody.json
          format: uri
          readOnly: true
          type: string
        data:
          description: Matching evaluation names.
          items:
            $ref: '#/components/schemas/mlflow-proxy_EvaluationName'
          nullable: true
          type: array
      required:
        - data
      type: object
    mlflow-proxy_ErrorModel:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          example: /api/model-services/v1/aisystem/schemas/ErrorModel.json
          format: uri
          readOnly: true
          type: string
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          example: Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/mlflow-proxy_ErrorDetail'
          nullable: true
          type: array
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          example: https://example.com/error-log/abc123
          format: uri
          type: string
        status:
          description: HTTP status code
          example: 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          example: Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          example: https://example.com/errors/example
          format: uri
          type: string
      type: object
    mlflow-proxy_EvaluationName:
      additionalProperties: false
      properties:
        name:
          description: Evaluation name (e.g. "accuracy_score" or "topic").
          type: string
        source:
          description: >-
            Where the evaluation originates: "ui"/"prog" for tag-based
            evaluations, or "system" for values computed by the platform such as
            response time.
          enum:
            - ui
            - prog
            - system
          type: string
        type:
          description: >-
            Whether this evaluation is a categorical 'label' or a numeric
            'metric'.
          enum:
            - label
            - metric
          type: string
      required:
        - type
        - name
        - source
      type: object
    mlflow-proxy_ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object

````

## Related topics

- [Get evaluation histogram data](/api-reference/ai-systems/get-evaluation-histogram-data.md)
- [Experiment Manager](/cloud/platform-capabilities/features/agents/experiment.md)
- [Track and monitor experiments](/cloud/platform-capabilities/features/development/track-monitor.md)
- [API reference for the Agents Python SDK](/cloud/reference/experiment-agent-sdk/python-sdk-agents.md)
